Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1188564 - Review Request: nodejs-keygrip - Key signing and verification for rotated credentials
Summary: Review Request: nodejs-keygrip - Key signing and verification for rotated cre...
Keywords:
Status: CLOSED DUPLICATE of bug 1495299
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-03 09:17 UTC by anish
Modified: 2017-09-25 18:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-07 10:49:11 UTC


Attachments (Terms of Use)

Description anish 2015-02-03 09:17:04 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-keygrip.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-keygrip-1.0.1-1.fc21.src.rpm
Description: Keygrip is a node.js module for signing and verifying data  through a rotating credential system
Fedora Account System Username: anishpatil

Comment 1 Piotr Popieluch 2015-02-25 21:26:03 UTC
please add BR: nodejs-packaging and rewrap the description to 80 chars.

Comment 2 anish 2015-02-26 06:20:42 UTC
Hi Piotr,

Thank you for package review, please find updated Spec and SRPM on 


Spec URL: https://anishpatil.fedorapeople.org/nodejs-keygrip.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-keygrip-1.0.1-2.fc21.src.rpm

Comment 3 Piotr Popieluch 2015-02-26 22:02:17 UTC
Hi Anish,

Could you enable the tests?

package.json says tests should be executed by: 'node test.js' while the specfile uses mocha

Comment 4 anish 2015-02-27 07:34:37 UTC
HI Piotr,

Thank you for your review comments 

Please find new Spec and SRPM on 

Spec URL: https://anishpatil.fedorapeople.org/nodejs-keygrip.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-keygrip-1.0.1-3.fc21

Comment 5 Piotr Popieluch 2015-02-27 22:32:46 UTC
Hi Anish,

nodejs packages should symlink the dependencies in the %install section, please see:

https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Symlinking_Dependencies

Could you update all your nodejs packages to include the %nodejs_symlink macro?

Comment 6 anish 2015-03-02 12:33:34 UTC
Hi Piotr,

Thank you for your review comments, please find new rpms and sprms on 


Spec URL: https://anishpatil.fedorapeople.org/nodejs-keygrip.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-keygrip-1.0.1-3.fc21.src.rpm

Comment 7 Piotr Popieluch 2015-03-08 18:08:18 UTC
- update Source0 to comply with github source guidelines:
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

- set correct test as specified in package.json and enable test or explain why they are disabled

- please remove trailing space at end of line on line 8

- move LICENSE.txt from %doc to %license
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
https://fedorahosted.org/fpc/ticket/411

- please use BuildRequires npm(scmp) instead of nodejs-scmp

Comment 9 Piotr Popieluch 2015-07-06 19:31:23 UTC
anish, any updates on this?

Comment 10 Piotr Popieluch 2015-10-17 11:53:01 UTC
This seems stalled, closing bug in one week.
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 11 Jared Smith 2015-11-06 18:00:08 UTC
In the interest of moving things along here, and keeping the package review from stalling, I've created my own Spec and SRPMs that I think address all of the concerns raised in this review.

Piotr, would you mind continuing the review with my spec/SRPM?

Anish, I hope you don't mind me doing this to continue to get this package into Fedora.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-keygrip/nodejs-keygrip.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-keygrip/nodejs-keygrip-1.0.1-1.fc24.src.rpm

Comment 12 Piotr Popieluch 2015-11-06 20:43:20 UTC
Hi Jared,

The official process would be that you open a new review request bug and than close this one as duplicate [1]. I will review your new request. Unless Anish still want's to continue?


[1] https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Comment 13 Zuzana Svetlikova 2015-12-03 14:35:28 UTC
I think this is safe to close. If you still want to continue with the review, open a new bug and close this as a duplicate.

Comment 14 Zuzana Svetlikova 2016-01-07 10:49:11 UTC
Jared, if you want to continue with the review, please open a new bug and mark this as duplicate, thank you.

Comment 15 Jared Smith 2017-09-25 18:27:20 UTC

*** This bug has been marked as a duplicate of bug 1495299 ***


Note You need to log in before you can comment on or make changes to this bug.